Data Fields

# filtering_entry Struct Reference

RTU Filtering Database Entry Object. More...

`#include <rtu.h>`

## Data Fields
int | valid
int | end_of_bucket
int | is_bpdu
uint8_t | mac [ETH_ALEN]
uint8_t | fid
uint32_t | port_mask_src
uint32_t | port_mask_dst
int | drop_when_source
int | drop_when_dest
int | drop_unmatched_src_ports
uint32_t | last_access_t
uint8_t | prio_src
int | has_prio_src
int | prio_override_src
uint8_t | prio_dst
int | has_prio_dst
int | prio_override_dst
int | go_to_cam
uint16_t | cam_addr
int | dynamic

## Detailed Description

RTU Filtering Database Entry Object.

## Field Documentation

uint16_t filtering_entry::cam_addr

int filtering_entry::drop_unmatched_src_ports

int filtering_entry::drop_when_dest

int filtering_entry::drop_when_source

int filtering_entry::dynamic

int filtering_entry::end_of_bucket

uint8_t filtering_entry::fid

int filtering_entry::go_to_cam

int filtering_entry::has_prio_dst

int filtering_entry::has_prio_src

int filtering_entry::is_bpdu

uint32_t filtering_entry::last_access_t

uint8_t filtering_entry::mac[ETH_ALEN]

uint32_t filtering_entry::port_mask_dst

uint32_t filtering_entry::port_mask_src

uint8_t filtering_entry::prio_dst

int filtering_entry::prio_override_dst

int filtering_entry::prio_override_src

uint8_t filtering_entry::prio_src

int filtering_entry::valid

The documentation for this struct was generated from the following file:

- software/wrsw_rtud/rtu.h

All Data Structures Files Functions Variables Defines